`timescale 1ns / 1ps
module wpbevtop1(
   input clk, btn0, sw0,
   output [6:0] q,
   output [3:0] AN,
   output [7:0] SEG,
   output blink
   );

reg rst, dir;
always @(posedge clk)
//Synchronise inputs
begin  
   rst <= btn0;
   dir <= sw0;  
end

wire ce;
rategen rategenerator(
   .clk(clk),
   .rst(rst),
   .cy(ce),
   .blink(blink)
);

wire [3:0] cntr_d0;
wire [2:0] cntr_d1;
count_sec counter(
   .clk(clk),
   .rst(rst),
   .ce(ce),
   .dir(dir),
   .q({cntr_d1, cntr_d0})
);

assign q = {cntr_d1, cntr_d0};

/* TODO: instantiate cntrl_7seg as 'seg7'*/

endmodule

